<script setup lang="ts">
import BoxItem from "@/components/BoxItem.vue";
import { useStore } from "vuex";
import SortItem from "@/components/SortItem.vue";
import useSorting from "@/composables/useSorting";
import { SortType } from "@/types/SortType";
const store = useStore();
const { sort } = useSorting();
const selectStop = (stop: string) => {
	store.commit("selectStop", stop);
}
const sortBusStops = () => {
	sort((type: SortType) => {
		store.commit("sortBusStops", type);
	})
}
</script>

<template>
	<div
			class="box col bg-white app-rounded"
			:class="{ 'd-flex justify-content-center align-items-center dashed': !store.state.selectedLine.line }"
	>
		<div v-if="store.state.selectedLine.line">
			<div class="box__header">
				<p>Bus Line: {{ store.state.selectedLine.line }}</p>
				<SortItem title="Bus Stops" @click="sortBusStops" />
			</div>
			<hr class="m-0" />
			<ul>
				<BoxItem
						v-for="(stop, index) in store.state.selectedLine.uniqueStops"
						@click="selectStop(stop.stop)"
						:key="index + stop.stop"
						:is-active="store.state.selectedStop.stop === stop.stop"
						:title="stop.stop"
				/>
			</ul>
		</div>
		<div v-else>Please select the bus line first</div>
	</div>
</template>

<style scoped lang="scss">
</style>
